Bug 858798 - Suspend to ram hangs after a second monitor was plugged in.
Suspend to ram hangs after a second monitor was plugged in.
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
17
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-19 13:22 EDT by Andre Massing
Modified: 2013-09-03 08:24 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-28 10:04:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andre Massing 2012-09-19 13:22:29 EDT
Description of problem:

Suspend to ram does not work after a second monitor was plugged in.

How reproducible: always

Steps to Reproduce:
1. Plug in an external monitor and wait until monitor switch has been completed.
2. Switch back by removing the external monitor.
3. Suspend to ram by closing the lid.
4. Wake-up computer by opening the lid.

Actual results:
A flickering tty with a message on 
invalid ROM contents.  No Xserver. I have to switch to another tty, login and reboot.

Expected results:
Resume normally.

Additional info:
This has been happening throughout all kernel updates for Fedora 17.
My computer is a MacBook Pro 6,2, booting in efi modus and using the
nouveau driver for a nVidia Corporation GT216 [GeForce GT 330M]
This is a dual graphic card having an intel chip as well:

00:02.0 VGA compatible controller: Intel Corporation Core Processor Integrated Graphics Controller (rev 18) (prog-if 00 [VGA controller])
01:00.0 VGA compatible controller: nVidia Corporation GT216 [GeForce GT 330M] (rev a2) (prog-if 00 [VGA controller])

Without plugging in external monitors, suspend to ram works reliably.
Comment 1 Josh Boyer 2013-03-12 16:25:54 EDT
Are you still seeing this with 3.7.9 or 3.8.2 in updates-testing?
Comment 2 Josh Boyer 2013-03-28 10:04:10 EDT
This bug is being closed with INSUFFICIENT_DATA as there has not been a
response in 2 weeks.  If you are still experiencing this issue,
please reopen and attach the relevant data from the latest kernel you are
running and any data that might have been requested previously.
Comment 3 Robert Story 2013-09-03 08:24:24 EDT
I have this same issue with F18, 3.9.11-200.fc18.x86_64. Same machine (MacBookProx 6,2). Though I'd change the title to "Suspend to ram hangs after a second monitor is removed." That is, as long as a second monitor is used, suspend to ram works ok. It's removing it that causes the problem.

Note You need to log in before you can comment on or make changes to this bug.